Name:		t-lasku
Version:	1.15.0
Release:	%mkrel 1
Summary:	Finnish invoicing software
Group:		Office
License:	BSD
URL:		http://helineva.net/%{name}/
Source0:	http://helineva.net/%{name}/%{name}-%{version}-i386.tar.gz
Source1:	http://helineva.net/%{name}/%{name}-%{version}-amd64.tar.gz
BuildRequires:	qt4-devel >= 4:4.6
Requires:	qt4-database-plugin-sqlite

%description
T-lasku is a Finnish invoicing software for Linux.

%prep
%ifarch x86_64
%setup -q -T -b1
%else
%setup -q -T -b0
%endif

%build 
g++ %{optflags} %{ldflags} -o t-lasku t-lasku-relocatable -lQtScript -lQtSql -lQtGui -lQtCore -lpthread

%install
rm -rf %{buildroot}

#binary
install -Dpm755 %{name} %{buildroot}%{_bindir}/%{name}

#desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=T-lasku
GenericName=Invoicing software
Comment=Finnish invoicing software
Terminal=false
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Qt;Office;Finance;X-MandrivaLinux-CrossDesktop;
EOF

# Install hicolor icons
for i in 16x16 24x24 32x32 48x48
do
	install -Dpm 644 images/%{name}-$i.png %{buildroot}%{_datadir}/icons/hicolor/$i/apps/%{name}.png
done

#translations
mkdir -p %{buildroot}%{_datadir}/%{name}/translations/
cp translations/* %{buildroot}%{_datadir}/%{name}/translations/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png




%changelog

* Sun Jan 01 2012 wally <wally> 1.15.0-1.mga2
+ Revision: 189474
- new version 1.15.0

* Tue Dec 06 2011 wally <wally> 1.14.0-1.mga2.nonfree
+ Revision: 177385
- new version 1.14.0

* Sun Oct 02 2011 wally <wally> 1.13.1-1.mga2.nonfree
+ Revision: 150952
- new version 0.13.1

* Sun Sep 18 2011 wally <wally> 1.13.0-1.mga2.nonfree
+ Revision: 145133
- new version 1.13.0
- new version 1.12.0
- new version 1.11.0
- new version 1.10.0
- rename the .desktop file

* Sat Jul 09 2011 wally <wally> 1.9.7-1.mga2.nonfree
+ Revision: 121164
- new version 1.6.7

* Tue Jun 07 2011 wally <wally> 1.9.6-1.mga2.nonfree
+ Revision: 101481
- new version 1.9.6

* Wed May 11 2011 wally <wally> 1.9.4-1.mga1
+ Revision: 97294
- new version 1.9.4

* Wed May 04 2011 wally <wally> 1.9.2-1.mga1
+ Revision: 94921
- new version 1.9.2

* Mon Apr 18 2011 wally <wally> 1.9.1-1.mga1
+ Revision: 87852
- new version 1.9.1

* Wed Apr 13 2011 wally <wally> 1.9.0-1.mga1
+ Revision: 84431
- new version 1.9.0

* Sat Feb 26 2011 wally <wally> 1.8.0-1.mga1
+ Revision: 60190
- new version 1.8.0
- drop buildroot definition

* Sun Feb 13 2011 wally <wally> 1.7.0-2.mga1
+ Revision: 51245
- imported package t-lasku


* Sat Feb 12 2011 Jani Välimaa <wally@mandriva.org> 1.7.0-2mdv2011.0
+ Revision: 637359
- install translations

* Tue Feb 08 2011 Jani Välimaa <wally@mandriva.org> 1.7.0-1
+ Revision: 636932
- new version 1.7.0

* Thu Jan 27 2011 Jani Välimaa <wally@mandriva.org> 1.6.2-1
+ Revision: 633246
- update to new version 1.6.2

* Sun Jan 09 2011 Jani Välimaa <wally@mandriva.org> 1.5.0-1
+ Revision: 630829
- update to new version 1.5.0

* Fri Dec 24 2010 Jani Välimaa <wally@mandriva.org> 1.4.2-1mdv2011.0
+ Revision: 624543
- update to new version 1.4.2

* Mon Dec 20 2010 Jani Välimaa <wally@mandriva.org> 1.4.1-1mdv2011.0
+ Revision: 623410
- new version 1.4.1

* Fri Dec 10 2010 Jani Välimaa <wally@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 620417
- new version 1.4.0
- add X-MandrivaLinux-CrossDesktop to the .desktop file
- tighten build requirements

* Mon Nov 22 2010 Jani Välimaa <wally@mandriva.org> 1.3.0-1mdv2011.0
+ Revision: 599720
- new version 1.3.0

* Sun Oct 31 2010 Jani Välimaa <wally@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 590971
- new version 1.2.0

* Thu Oct 28 2010 Jani Välimaa <wally@mandriva.org> 1.1.1-3mdv2011.0
+ Revision: 589842
- fix .desktop file
- remove word 'free' from summary and description as t-lasku isn't fully free
  (free of charge but closed source)

* Tue Oct 26 2010 Jani Välimaa <wally@mandriva.org> 1.1.1-2mdv2011.0
+ Revision: 589511
- update sources
- fix license

* Tue Oct 26 2010 Jani Välimaa <wally@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 589476
- fix file list
- import t-lasku

